Opened 22 months ago

Closed 7 months ago

#61733 closed defect (fixed)

mpv: AttributeError: 'StrictVersion' object has no attribute 'version'

Reported by: mrkapqa Owned by: Ionic (Mihai Moldovan)
Priority: Normal Milestone:
Component: ports Version: 2.6.4
Keywords: lion haspatch Cc: i0ntempest
Port: mpv

Description (last modified by ryandesign (Ryan Schmidt))

Hello ,

i was hoping to install mpv on mac running lion 10.7.5.

getting an error here:

Error: Failed to configure mpv: configure failure: command execution failed

thank you very much.

Attachments (2)

mpv.log (248.5 KB) - added by mrkapqa 22 months ago.
1075.log (279.7 KB) - added by mrkapqa 14 months ago.

Download all attachments as: .zip

Change History (11)

Changed 22 months ago by mrkapqa

Attachment: mpv.log added

comment:1 Changed 22 months ago by jmroot (Joshua Root)

Cc: i0ntempest added
Keywords: mpv removed
Owner: set to Ionic
Status: newassigned

comment:2 Changed 22 months ago by jmroot (Joshua Root)

Seems to be running under python 3.8, whereas the waf portgroup tries to use 2.7.

comment:3 Changed 22 months ago by sirn (Kridsada Thanabulpong)

Can you try the current HEAD? This might be because of upstream change which I've also encountered while trying to get mpv to build on Apple Silicon (and might have fixed it alongside Apple Silicon support).

comment:4 Changed 14 months ago by mrkapqa

Hello Joshua Root,

can you please show me how to install it with python 3.8, as it still fails to configure/install on Lion

Attempting to fetch mpv-0.33.1_1+audiocd+bluray+bundle+dvd+libarchive+network+opengl+osd+python39+rubberband+x11.darwin_11.x86_64.tbz2 from http://cph.dk.packages.macports.org/mpv
--->  Fetching distfiles for mpv
--->  Attempting to fetch mpv-0.33.1.tar.gz from http://distfiles.macports.org/mpv
--->  Attempting to fetch waf-2.0.22 from http://distfiles.macports.org/mpv     
--->  Verifying checksums for mpv
--->  Extracting mpv
--->  Applying patches to mpv
--->  Configuring mpv
Warning: reinplace s/@@BACKEND@@/cocoa/ didn't change anything in /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_multimedia_mpv/mpv/work/mpv-0.33.1/TOOLS/config-maintainer
Error: Failed to configure mpv: configure failure: command execution failed
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_multimedia_mpv/mpv/main.log for details.
Error: Follow https://guide.macports.org/#project.tickets if you believe there
is a bug.

Changed 14 months ago by mrkapqa

Attachment: 1075.log added

comment:5 Changed 9 months ago by zsoltbarat

I still have this issue with mpv-@0.34.0 on Apple Silicone (M1):

:info:configure   File "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_multimedia_mpv/mpv/work/mpv-player-mpv-79b4060/waftools/detections/compiler_swift.py", line 158, in __find_macos_sdk
:info:configure     minor = string.ascii_lowercase.index(version_parts.group(2).lower())
:info:configure ValueError: substring not found

It seems like the fix for #8281 is still not in Version 0.34.0?

https://github.com/mpv-player/mpv/commit/5ae6f04d6bb3647419b02e0e0f4d8198b9e44bb2

Last edited 7 months ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:6 Changed 9 months ago by zsoltbarat

Seems to fail even with latest HEAD from mpv git repo:

Checking for macOS SDK                   : Traceback (most recent call last):
  File "/Users/zsolt/git_work/mpv/.waf3-2.0.20-36f5354d605298f6a89c09e0c7ef6c1d/waflib/Scripting.py", line 119, in waf_entry_point
    run_commands()
  File "/Users/zsolt/git_work/mpv/.waf3-2.0.20-36f5354d605298f6a89c09e0c7ef6c1d/waflib/Scripting.py", line 182, in run_commands
    ctx=run_command(cmd_name)
  File "/Users/zsolt/git_work/mpv/.waf3-2.0.20-36f5354d605298f6a89c09e0c7ef6c1d/waflib/Scripting.py", line 173, in run_command
    ctx.execute()
  File "/Users/zsolt/git_work/mpv/.waf3-2.0.20-36f5354d605298f6a89c09e0c7ef6c1d/waflib/Configure.py", line 85, in execute
    super(ConfigurationContext,self).execute()
  File "/Users/zsolt/git_work/mpv/.waf3-2.0.20-36f5354d605298f6a89c09e0c7ef6c1d/waflib/Context.py", line 92, in execute
    self.recurse([os.path.dirname(g_module.root_path)])
  File "/Users/zsolt/git_work/mpv/.waf3-2.0.20-36f5354d605298f6a89c09e0c7ef6c1d/waflib/Context.py", line 133, in recurse
    user_function(self)
  File "/Users/zsolt/git_work/mpv/wscript", line 961, in configure
    ctx.load('detections.compiler_swift')
  File "/Users/zsolt/git_work/mpv/.waf3-2.0.20-36f5354d605298f6a89c09e0c7ef6c1d/waflib/Configure.py", line 156, in load
    func(self)
  File "/Users/zsolt/git_work/mpv/waftools/detections/compiler_swift.py", line 201, in configure
    __find_macos_sdk(ctx)
  File "/Users/zsolt/git_work/mpv/waftools/detections/compiler_swift.py", line 158, in __find_macos_sdk
    minor = string.ascii_lowercase.index(version_parts.group(2).lower())
ValueError: substring not found
Last edited 7 months ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:7 Changed 9 months ago by zsoltbarat

Turns out I´d just have to set the proper Python version:

port select --set python python39

Configure then works.

Last edited 7 months ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:8 Changed 7 months ago by ryandesign (Ryan Schmidt)

Description: modified (diff)
Keywords: haspatch added
Summary: (10.7.5) mpv: failed to configure mpvmpv: AttributeError: 'StrictVersion' object has no attribute 'version'

This ticket is about the error AttributeError: 'StrictVersion' object has no attribute 'version' experienced on Lion, for which I have submitted a fix in https://github.com/macports/macports-ports/pull/14119.

The problems on Apple Silicon systems reported in subsequent comments are a different problem and should be filed in a different ticket.

comment:9 Changed 7 months ago by Ryan Schmidt <git@…>

Resolution: fixed
Status: assignedclosed

In 20d1467595b202addcdd283f0677a00d7f820a21/macports-ports (master):

mpv: Set MACOS_SDK_VERSION and use latest SDK (https://github.com/macports/macports-ports/pull/14119)

Fixes build on Mac OS X 10.7 and on Xcode versions where the SDK version
does not match the OS version.

Closes: #61733
Closes: #61647
Closes: #62889
Closes: #63694

Note: See TracTickets for help on using tickets.